/***************************************************************************
 *   Copyright (C) 2008 by Matthieu Gallien <matthieu_gallien@yahoo.fr>    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/

#ifndef ABSTRACTTASKWIDGETFACTORY_H
#define ABSTRACTTASKWIDGETFACTORY_H

#include "plasma_tasks_lib_export.h"

#include <QObject>
#include <QPersistentModelIndex>

class AbstractTaskWidget;
class AbstractTasksApplet;
class QGraphicsItem;

class PLASMA_TASKS_LIB_EXPORT AbstractTaskWidgetFactory : public QObject
{

    Q_OBJECT

public:

    AbstractTaskWidgetFactory(QObject *parent = 0);

    virtual AbstractTaskWidget* createTaskWidget(AbstractTasksApplet *applet,
                                                 const QPersistentModelIndex &p_index) const = 0;

};

#endif
