/***************************************************************************
 *   Copyright (C) 2008 by Matthieu Gallien <matthieu_gallien@yahoo.fr>    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/

#ifndef CLASSICALTASKWIDGET_H
#define CLASSICALTASKWIDGET_H

#include "abstract_task_widget.h"

#include <QPersistentModelIndex>

class ClassicalTaskWidget : public AbstractTaskWidget
{

    Q_OBJECT

public:

    ClassicalTaskWidget(AbstractTasksApplet *applet,
                        const QPersistentModelIndex &p_index);

    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option,
               QWidget *widget = 0);

protected:

    // area of item occupied by task's icon
    QRectF iconRect(const QRectF &bounds) const;

    // area of item occupied by task's text
    QRectF textRect(const QRectF &bounds) const;

    // distance (in pixels) between a task's icon and its text
    static const int IconTextSpacing = 4;

};

#endif
